View Issue Details

IDProjectCategoryView StatusLast Update
0006095Talerwallet (WebExtensions)public2020-10-03 14:10
ReporterFlorian Dold Assigned ToFlorian Dold  
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionwon't fix 
Target Version0.8Fixed in Version0.8 
Summary0006095: render pending operations
DescriptionThe webextension wallet should render pending operations. The wallet core currently exposes the pending operations as JSON.

Pending operations generally indicate what the wallet is currently doing, as well as error conditions that might or might not requires user intervention.

The user experience is not completely clear yet. The rough idea is:
* pending operations should be rendered as part of the history view
* on the balance page, we might give some condensed summary of the current pending operations, together with a link to the details in the history page
TagsNo tags attached.

Activities

Florian Dold

2020-09-04 13:11

manager   ~0016841

The pending operations don't really exist anymore as a UI concept. Instead, I've opened 0006570 for rendering the transactions list nicely.

Issue History

Date Modified Username Field Change
2020-02-17 15:50 Florian Dold New Issue
2020-02-17 15:50 Florian Dold Status new => assigned
2020-02-17 15:50 Florian Dold Assigned To => Florian Dold
2020-09-04 13:11 Florian Dold Status assigned => resolved
2020-09-04 13:11 Florian Dold Resolution open => won't fix
2020-09-04 13:11 Florian Dold Note Added: 0016841
2020-10-03 14:08 Christian Grothoff Fixed in Version => 0.8
2020-10-03 14:10 Christian Grothoff Target Version => 0.8